Share
ShareInfo object
- namestring
Name of the share.
- ownerstring
Username of current owner of share.
- commentstring
User-provided free-form text description.
- storage_rootstring
Storage root URL for the share.
- objectsarray of object
A list of shared data objects within the share.
Show child attributesHide child attributes
- namestring
A fully qualified name that uniquely identifies a data object. For example, a table's fully qualified name is in the format of
<catalog>.<schema>.<table>,
- data_object_typestring
The type of the data object.
- added_atint64
The time when this data object is added to the share, in epoch milliseconds.
- added_bystring
Username of the sharer.
- commentstring
A user-provided comment when adding the data object to the share.
- cdf_enabledboolean
Whether to enable cdf or indicate if cdf is enabled on the shared object.
- history_data_sharing_statusstring
Whether to enable or disable sharing of data history. If not specified, the default is DISABLED.
- start_versionint64
The start version associated with the object. This allows data providers to control the lowest object version that is accessible by clients. If specified, clients can query snapshots or changes for versions >= start_version. If not specified, clients can only query starting from the version of the object at the time it was added to the share.
NOTE: The start_version should be <= the
currentversion of the object.
- statusstring
One of: ACTIVE, PERMISSION_DENIED.
- contentstring
The content of the notebook file when the data object type is NOTEBOOK_FILE. This should be base64 encoded. Required for adding a NOTEBOOK_FILE, optional for updating, ignored for other types.
- partitionsarray of object
Array of partitions for the shared data.
Show child attributesHide child attributes
- valuesarray of object
An array of partition values.
Show child attributesHide child attributes
- namestring
The name of the partition column.
- valuestring
The value of the partition column. When this value is not set, it means
nullvalue. When this field is set, fieldrecipient_property_keycan not be set.
- recipient_property_keystring
The key of a Delta Sharing recipient's property. For example "databricks-account-id". When this field is set, field
valuecan not be set.
- opstring
The operator to apply for the value.
- created_atint64
Time at which this share was created, in epoch milliseconds.
- created_bystring
Username of share creator.
- updated_atint64
Time at which this share was updated, in epoch milliseconds.
- updated_bystring
Username of share updater.
- storage_locationstring
Storage Location URL (full path) for the share.
Get GA
GET
Gets a data object share from the metastore. The caller must have the USE_SHARE privilege on the metastore or be the owner of the share.
API scopes: sharing
Parameters
- namestringpath
The name of the share.
Response
Returns the ShareInfo object.
Create GA
POST
Creates a new share for data objects. Data objects can be added after creation with update. The caller must be a metastore admin or have the CREATE_SHARE privilege on the metastore.
API scopes: sharing
Request body
- namestring
Name of the share.
- ownerstring
Username of current owner of share.
- commentstring
User-provided free-form text description.
- storage_rootstring
Storage root URL for the share.
- objectsarray of object
A list of shared data objects within the share.
Show child attributesHide child attributes
- namestring
A fully qualified name that uniquely identifies a data object. For example, a table's fully qualified name is in the format of
<catalog>.<schema>.<table>,
- data_object_typestring
The type of the data object.
- added_atint64
The time when this data object is added to the share, in epoch milliseconds.
- added_bystring
Username of the sharer.
- commentstring
A user-provided comment when adding the data object to the share.
- cdf_enabledboolean
Whether to enable cdf or indicate if cdf is enabled on the shared object.
- history_data_sharing_statusstring
Whether to enable or disable sharing of data history. If not specified, the default is DISABLED.
- start_versionint64
The start version associated with the object. This allows data providers to control the lowest object version that is accessible by clients. If specified, clients can query snapshots or changes for versions >= start_version. If not specified, clients can only query starting from the version of the object at the time it was added to the share.
NOTE: The start_version should be <= the
currentversion of the object.
- statusstring
One of: ACTIVE, PERMISSION_DENIED.
- contentstring
The content of the notebook file when the data object type is NOTEBOOK_FILE. This should be base64 encoded. Required for adding a NOTEBOOK_FILE, optional for updating, ignored for other types.
- partitionsarray of object
Array of partitions for the shared data.
Show child attributesHide child attributes
- valuesarray of object
An array of partition values.
Show child attributesHide child attributes
- namestring
The name of the partition column.
- valuestring
The value of the partition column. When this value is not set, it means
nullvalue. When this field is set, fieldrecipient_property_keycan not be set.
- recipient_property_keystring
The key of a Delta Sharing recipient's property. For example "databricks-account-id". When this field is set, field
valuecan not be set.
- opstring
The operator to apply for the value.
- created_atint64
Time at which this share was created, in epoch milliseconds.
- created_bystring
Username of share creator.
- updated_atint64
Time at which this share was updated, in epoch milliseconds.
- updated_bystring
Username of share updater.
- storage_locationstring
Storage Location URL (full path) for the share.
Response
Returns the ShareInfo object.
Update GA
PATCH
Updates the share with the changes and data objects in the request. The caller must be the owner of the share or a metastore admin.
When the caller is a metastore admin, only the owner field can be updated.
In the case the share name is changed, updateShare requires that the caller is the owner of the share and has the CREATE_SHARE privilege.
If there are notebook files in the share, the storage_root field cannot be updated.
For each table that is added through this method, the share owner must also have SELECT privilege on the table. This privilege must be maintained indefinitely for recipients to be able to access the table. Typically, you should use a group as the share owner.
Table removals through update do not require additional privileges.
API scopes: sharing
Parameters
- name_argstringpath
The name of the share.
Request body
- new_namestring
New name for the share.
- updatesarray of object
Array of shared data object updates.
Show child attributesHide child attributes
- actionstring
One of: ADD, REMOVE, UPDATE.
- data_objectobject
The data object that is being added, removed, or updated. The maximum number update data objects allowed is a 100.
Show child attributesHide child attributes
- namestring
A fully qualified name that uniquely identifies a data object. For example, a table's fully qualified name is in the format of
<catalog>.<schema>.<table>,
- data_object_typestring
The type of the data object.
- added_atint64
The time when this data object is added to the share, in epoch milliseconds.
- added_bystring
Username of the sharer.
- commentstring
A user-provided comment when adding the data object to the share.
- cdf_enabledboolean
Whether to enable cdf or indicate if cdf is enabled on the shared object.
- history_data_sharing_statusstring
Whether to enable or disable sharing of data history. If not specified, the default is DISABLED.
- start_versionint64
The start version associated with the object. This allows data providers to control the lowest object version that is accessible by clients. If specified, clients can query snapshots or changes for versions >= start_version. If not specified, clients can only query starting from the version of the object at the time it was added to the share.
NOTE: The start_version should be <= the
currentversion of the object.
- statusstring
One of: ACTIVE, PERMISSION_DENIED.
- contentstring
The content of the notebook file when the data object type is NOTEBOOK_FILE. This should be base64 encoded. Required for adding a NOTEBOOK_FILE, optional for updating, ignored for other types.
- partitionsarray of object
Array of partitions for the shared data.
Show child attributesHide child attributes
- valuesarray of object
An array of partition values.
- namestring
Name of the share.
- ownerstring
Username of current owner of share.
- commentstring
User-provided free-form text description.
- storage_rootstring
Storage root URL for the share.
- objectsarray of object
A list of shared data objects within the share.
Show child attributesHide child attributes
- namestring
A fully qualified name that uniquely identifies a data object. For example, a table's fully qualified name is in the format of
<catalog>.<schema>.<table>,
- data_object_typestring
The type of the data object.
- added_atint64
The time when this data object is added to the share, in epoch milliseconds.
- added_bystring
Username of the sharer.
- commentstring
A user-provided comment when adding the data object to the share.
- cdf_enabledboolean
Whether to enable cdf or indicate if cdf is enabled on the shared object.
- history_data_sharing_statusstring
Whether to enable or disable sharing of data history. If not specified, the default is DISABLED.
- start_versionint64
The start version associated with the object. This allows data providers to control the lowest object version that is accessible by clients. If specified, clients can query snapshots or changes for versions >= start_version. If not specified, clients can only query starting from the version of the object at the time it was added to the share.
NOTE: The start_version should be <= the
currentversion of the object.
- statusstring
One of: ACTIVE, PERMISSION_DENIED.
- contentstring
The content of the notebook file when the data object type is NOTEBOOK_FILE. This should be base64 encoded. Required for adding a NOTEBOOK_FILE, optional for updating, ignored for other types.
- partitionsarray of object
Array of partitions for the shared data.
Show child attributesHide child attributes
- valuesarray of object
An array of partition values.
Show child attributesHide child attributes
- namestring
The name of the partition column.
- valuestring
The value of the partition column. When this value is not set, it means
nullvalue. When this field is set, fieldrecipient_property_keycan not be set.
- recipient_property_keystring
The key of a Delta Sharing recipient's property. For example "databricks-account-id". When this field is set, field
valuecan not be set.
- opstring
The operator to apply for the value.
- created_atint64
Time at which this share was created, in epoch milliseconds.
- created_bystring
Username of share creator.
- updated_atint64
Time at which this share was updated, in epoch milliseconds.
- updated_bystring
Username of share updater.
- storage_locationstring
Storage Location URL (full path) for the share.
Response
Returns the ShareInfo object.